package model;

import haxe.ds.StringMap;

class MLD {
	public var relations : StringMap<Relation>;

	//drawing informations
	public var width : Int;
	public var height : Int;

	public function new() {
		relations = new StringMap();
	}

	public function toString(univ : Bool = true) : String {
		return Lambda.map(relations, function(r) { return univ ? r.toUnivString() : r.toENString(); }).join("\n");
	}
}
